@extends('layouts.app')

@section('page_title', 'View Top-Up')

@section('content')
<div class="container-fluid py-4">
    <div class="row justify-content-center">
        <div class="card">
            <div class="card-header border-0 bg-transparent">
                <h5 class="mb-0">View Top-Up</h5>
            </div>
            <div class="card-body">
                <div class="mb-3">
                    <label class="form-label">Free Code</label>
                    <input type="text" class="form-control" value="{{ $topup['freeCode'] }}" readonly>
                </div>
                <div class="mb-3">
                    <label class="form-label">Name</label>
                    <input type="text" class="form-control" value="{{ $topup['name'] }}" readonly>
                </div>
                <div class="mb-3">
                    <label class="form-label">Value</label>
                    <input type="text" class="form-control" value="{{ $topup['value'] }}" readonly>
                </div>
                <div class="mb-3">
                    <label class="form-label">Type</label>
                    <input type="text" class="form-control" value="{{ $topup['type'] }}" readonly>
                </div>
                <div class="text-end">
                    <a href="{{ route('top-up') }}" class="btn btn-primary">Back</a>
                    <a href="{{ route('top-up.edit', $topup['topup_uuid']) }}" class="btn btn-primary">Edit</a>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection